DIFFERENTIAL(9)

NAME

differential - kinematics for a differential transmission

SYNOPSIS

loadrt differential [count=N|names=name1[,name2...]]

FUNCTIONS

differential.N (requires a floating-point thread)

PINS

differential.N.roll-cmd float in
    position command for roll (in degrees)

differential.N.pitch-cmd float in
    position command for pitch (in degrees)

differential.N.roll-fb float out
    position feedback for roll (in degrees)

differential.N.pitch-fb float out
    position feedback for pitch (in degrees)

differential.N.motor0-cmd float out
    position command to motor0 (based on roll & pitch inputs)

differential.N.motor1-cmd float out
    position command to motor1 (based on roll & pitch inputs)

differential.N.motor0-fb float in
    position feedback from motor0

differential.N.motor1-fb float in
    position feedback from motor1

AUTHOR

Sebastian Kuzminsky

LICENSE

GPL